Name:       task-lxqt
Version:    0.12.0
Release:    %mkrel 2
Summary:    Metapackage for LXQt
Group:      Graphical desktop/Other
License:    GPL
URL:        http://lxqt.org/
Requires:   %{name}-minimal
Recommends: task-pulseaudio
Recommends: mageiawelcome
Requires:   lxqt-openssh-askpass
Recommends: sddm
Recommends: sddm-config-editor
Recommends: lxqt-admin
Recommends: lximage-qt
Recommends: obconf-qt
Recommends: qastools
Recommends: qbittorrent
Recommends: notepadqq
Recommends: qlipper
Recommends: xarchiver
Recommends: silicon-image-burner
Recommends: silicon-data-disc
Recommends: silicon-audio-disc
Recommends: silicon-converter
Recommends: silicon-copy-disc
Recommends: silicon-plugin-system-tray
Recommends: silicon-plugin-single-inner-dialog
Recommends: xscreensaver
Recommends: qupzilla
Recommends: trojita
Recommends: qpdfview
Recommends: vlc
Recommends: meteo-qt
#was suggested via https://bugs.mageia.org/show_bug.cgi?id=13321#c33
# but pulls in quite a lot of KDE dependencies - do we really want this?
#Recommends:    quassel

#Recommends: xarchiver
#Recommends: scrot
#Recommends: xmessage
#Recommends: networkmanager-applet
#Recommends: parcellite
#Recommends: volumeicon
#Recommends: catfish
#Recommends: fskbsetting
BuildArch:   noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LXQT, the Qt port of the upcoming version of LXDE,
the Lightweight Desktop Environmen.


%package minimal
Summary:    Minimal dependencies needed for LXQt
Group:      Graphical desktop/Other
Requires:   desktop-common-data
# components listed at http://wiki.lxde.org/en/Build_LXDE-Qt_From_Source
Requires:   lxqt-globalkeys
Requires:   lxqt-notificationd
Requires:   lxqt-panel
Requires:   pcmanfm-qt
Requires:   lxqt-sudo
Requires:   lxqt-session
Requires:   lxqt-runner
Requires:   lxqt-qtplugin
Requires:   lxqt-policykit
Requires:   lxqt-powermanagement
Requires:   lxqt-about
Requires:   lxmenu-data
Requires:   lxqt-config
#window manager is required to login - require openbox, suggest kwin?
Requires:   openbox
#Recommends: kdebase4-workspace
#require at least one terminal emulator
Requires:   qterminal
Requires:   task-x11
Requires:   dbus-x11
Recommends: drakconf
Recommends: fonts-ttf-dejavu
Recommends: lxde-icon-theme
Recommends: oxygen-icon-theme
Obsoletes:  task-razorqt < 1-13
Obsoletes:  lxqt-appswitcher < 0.7.0-5
Obsoletes:  compton-conf < 0.1.1-1

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running LXQT, the Qt port of the upcoming version
of LXDE, the Lightweight Desktop Environmen.

%files

%files minimal



%changelog
* Mon Mar 05 2018 neoclust <neoclust> 0.12.0-2.mga6
  (not released yet)
+ Revision: 1206655
- Sync with cauldron: 0.12.0
- New version 0.12.0

* Thu Nov 10 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066221
- Change juffed require to notepadqq ( mga #19165)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900895
- New verson 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816448
- new version 0.9

* Thu Oct 30 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 794794
- remove Recommends on compton-conf and obsolete it
  o we do not have compton as composite manager
- added new weather systray applet meteo-qt as Recommends
  o thanks to dglent
- remove Requires on upower binary, moved to lxqt-powermanagement
- new version 0.8
- remove Requires and add Obsoletes on deprecated lxqt-appswitcher
- remove Requires on deprecated lxqt-config-randr
- remove Recommends on deprecated lightdm-lxqt-greeter
- add Recommends on sddm (DM recommended by upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-13.mga5
+ Revision: 746763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-12.mga5
+ Revision: 689708
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Sep 13 2014 wally <wally> 0.7.0-11.mga5
+ Revision: 675105
- obsolete task-razorqt

* Wed Jul 30 2014 doktor5000 <doktor5000> 0.7.0-10.mga5
+ Revision: 658369
- require upower binary to prevent annoying power powermanagement applet popup
- move lxqt-config to -minimal package

* Tue Jul 29 2014 doktor5000 <doktor5000> 0.7.0-8.mga5
+ Revision: 658080
- replaced lxterminal with qterminal per feedback from users
- moved Suggests on lxde-icon-theme to -minimal subpackage
- added Suggests on oxygen-icon-theme
- added Suggests on vlc
- removed nomacs, functionality provided by lximage-qt
- added Suggests on qpdfview
- added Suggests on lxde-icon-theme
- added Suggests on fonts-ttf-dejavu

* Sun Jun 22 2014 doktor5000 <doktor5000> 0.7.0-6.mga5
+ Revision: 638748
- add lxterminal as Requires
  o remove qterminal as Suggests, starts much slower
- remove andromeda as Suggests
- remove screengrab as Suggests

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.7.0-5.mga5
+ Revision: 638012
- splitted into task-lxqt-minimal and task-lxqt

* Sun Jun 08 2014 doktor5000 <doktor5000> 0.7.0-4.mga5
+ Revision: 634770
- require openbox as window manager

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.7.0-3.mga5
+ Revision: 634505
- added lightdm-lxqt-greeter - thanks to wally :)
- added lximage-qt, lxqt-appswitcher and lxmenu-data
- added Suggests on compton-conf and obconf-qt

* Sun May 25 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 626544
- replace obsoleted lightdm-razorqt-greeter with lightdm-lxqt-greeter

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626527
- imported package task-lxqt



* Sat May 10 2014 doktor5000 <doktor5000@mageia.org> 0.7.0-1
- initially packaged for Mageia